Fix initscript return codes

Resolves: #242667
This commit is contained in:
Jan Šafránek 2007-06-25 09:18:53 +00:00
parent 5a8e87dd10
commit 233b801a46
2 changed files with 15 additions and 3 deletions

View File

@ -16,7 +16,7 @@
# Source networking configuration and check that networking is up. # Source networking configuration and check that networking is up.
if [ -r /etc/sysconfig/network ] ; then if [ -r /etc/sysconfig/network ] ; then
. /etc/sysconfig/network . /etc/sysconfig/network
[ ${NETWORKING} = "no" ] && exit 0 [ ${NETWORKING} = "no" ] && exit 1
fi fi
# Source an auxiliary options file if we have one, and pick up OPTIONS, # Source an auxiliary options file if we have one, and pick up OPTIONS,
@ -29,8 +29,8 @@ fi
slapd=/usr/sbin/slapd slapd=/usr/sbin/slapd
slurpd=/usr/sbin/slurpd slurpd=/usr/sbin/slurpd
slaptest=/usr/sbin/slaptest slaptest=/usr/sbin/slaptest
[ -x ${slapd} ] || exit 0 [ -x ${slapd} ] || exit 1
[ -x ${slurpd} ] || exit 0 [ -x ${slurpd} ] || exit 1
RETVAL=0 RETVAL=0
@ -213,24 +213,33 @@ case "$1" in
;; ;;
start) start)
start start
RETVAL=$?
;; ;;
stop) stop)
stop stop
RETVAL=$?
;; ;;
status) status)
status ${slapd} status ${slapd}
RETVAL=$?
if grep -q "^replogfile" /etc/openldap/slapd.conf ; then if grep -q "^replogfile" /etc/openldap/slapd.conf ; then
status ${slurpd} status ${slurpd}
RET=$?
if [ $RET -ne 0 ] ; then
RETVAL=$RET;
fi
fi fi
;; ;;
restart) restart)
stop stop
start start
RETVAL=$?
;; ;;
condrestart) condrestart)
if [ -f /var/lock/subsys/ldap ] ; then if [ -f /var/lock/subsys/ldap ] ; then
stop stop
start start
RETVAL=$?
fi fi
;; ;;
*) *)

View File

@ -738,6 +738,9 @@ fi
%attr(0644,root,root) %{evolution_connector_libdir}/*.a %attr(0644,root,root) %{evolution_connector_libdir}/*.a
%changelog %changelog
* Mon Jun 25 2007 Jan Safranek <jsafranek@redhat.com>
- Fix initscript return codes (#242667)
* Tue May 22 2007 Jan Safranek <jsafranek@redhat.com> 2.3.34-3%{?dist} * Tue May 22 2007 Jan Safranek <jsafranek@redhat.com> 2.3.34-3%{?dist}
- do not create script in /tmp on startup (bz#188298) - do not create script in /tmp on startup (bz#188298)
- add compat-slapcat to openldap-compat (bz#179378) - add compat-slapcat to openldap-compat (bz#179378)